From: Jim Meyering <jim@meyering.net>
To: Joel Brobecker <brobecker@adacore.com>
Cc: gdb@sourceware.org
Subject: Re: gdb.git hiccup
Date: Thu, 08 Oct 2009 09:20:00 -0000 [thread overview]
Message-ID: <87k4z6utqo.fsf@meyering.net> (raw)
In-Reply-To: <20091007192519.GK16338@adacore.com> (Joel Brobecker's message of "Wed, 7 Oct 2009 12:25:20 -0700")
Joel Brobecker wrote:
> > I'll build the newer version and make my cvs-to-git process use it.
> > It can only help. Though it can't repair the current holes in gdb.git.
> > Regarding that, if one of you gdb developers who use gdb.git can send
> > me git format-patch output that makes a clone from gdb.git identical to
> > a just-checked-out-from-cvs gdb directory, I will push it to both the
> > staging and public repositories.
>
> Here is a patch that should do the trick.
FYI, here's what I've done to the public git repo:
cvs -d /cvs/src co -P gdb # creates "src/"
git clone /git/gdb.git gdb-git
diff -Naur -xCVS -x.git gdb-git src > k
cd gdb-git
patch -p1 < ../k
git add .
git ci -m 'manually sync from the CVS repository' -a
git push
Then I did the same to the staging directory into which
cvs-to-git changes are first deposited, and from which
the hourly cron pushes to the public repo.
Now, the checkout/clone-and-comparison shows that the only difference
is the empty contrib/ directory (only-in-cvs in spite of -P):
cvs -d /cvs/src co -P gdb && git clone /git/gdb.git gdb-git \
&& diff -ru -xCVS -x.git src gdb-git
Only in src: contrib
[Exit 1]
With that, and the newly-installed cvsps-2.2b1, let's hope the git
repository stays in sync. I'm now running this script via cron every hour,
so if something fails to propagate, I'll know right away.
#!/bin/sh
# Ensure that CVS checkout and git clone produce the same tree.
set -e
tmp=$(mktemp -d)
cleanup()
{
__st=$?;
rm -rf "$tmp"
exit $__st
}
trap cleanup 0
trap 'exit $?' 1 2 13 15
cd "$tmp"
cvs -Q -d /cvs/src co -P gdb
git clone -q /git/gdb.git gdb-git
rm -rf src/contrib/CVS
rmdir src/contrib
diff -ru -xCVS -x.git src gdb-git
prev parent reply other threads:[~2009-10-08 9:20 UTC|newest]
Thread overview: 25+ messages / expand[flat|nested] mbox.gz Atom feed top
2009-10-03 12:30 Jim Meyering
2009-10-03 13:22 ` Jim Meyering
2009-10-03 15:38 ` Jim Meyering
2009-10-03 17:05 ` Joel Brobecker
2009-10-03 23:35 ` Daniel Jacobowitz
2009-10-04 6:51 ` Jim Meyering
2009-10-04 11:09 ` Frank Ch. Eigler
2009-10-04 12:15 ` Jim Meyering
2009-10-04 12:40 ` Frank Ch. Eigler
2009-10-04 12:15 ` Matt Rice
2009-10-04 12:43 ` Jim Meyering
[not found] ` <20091004142139.GA19501@host0.dyn.jankratochvil.net>
2009-10-04 20:16 ` Jim Meyering
2009-10-05 1:46 ` Jan Kratochvil
2009-10-05 10:14 ` Jim Meyering
2009-10-06 20:48 ` Jan Kratochvil
2009-10-06 21:12 ` Jim Meyering
2009-10-06 21:23 ` Jim Meyering
2009-10-04 14:49 ` Christopher Faylor
2009-10-04 15:05 ` Jim Meyering
2009-10-04 15:15 ` Christopher Faylor
2009-10-04 20:34 ` Jim Meyering
2009-10-06 22:03 ` Joel Brobecker
2009-10-07 14:52 ` Jim Meyering
[not found] ` <20091007192519.GK16338@adacore.com>
2009-10-07 21:13 ` Jim Meyering
2009-10-08 9:20 ` Jim Meyering [this message]
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=87k4z6utqo.fsf@meyering.net \
--to=jim@meyering.net \
--cc=brobecker@adacore.com \
--cc=gdb@sourceware.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox